﻿#overlay {
    display: block;
    position: absolute;
    top: 0;
    left: 0;
    bottom: 0;
    right: 0;
    z-index: 5000;
    background: #ccccccf5;
}

.overlay {
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    bottom: 0;
    right: 0;
    z-index: 10000;
    background: #ccccccf5;
}

#popup-overlay {
    display: block;
    position: absolute;
    top: 0;
    left: 0;
    bottom: 0;
    right: 0;
    z-index: 1000;
    background: #ccccccd6;
    overflow: auto;
}

.popup-overlay {
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    bottom: 0;
    right: 0;
    z-index: 1000;
    background: #ccccccd6;
    overflow: auto;
}

.spinner {
    margin: 0 auto;
    height: 25px;
    width: 25px;
    animation: rotate 0.8s infinite linear;
    border: 5px solid firebrick;
    border-right-color: transparent;
    border-radius: 50%;
}

@keyframes rotate {
    0% {
        transform: rotate(0deg);
    }

    100% {
        transform: rotate(360deg);
    }
}

.dietaryform .ms-options-wrap > button:focus, .ms-options-wrap > button {
    border: 1px solid #BFBFBF;
    border-radius: 8px;
    padding: 0 25px;
    width: 100%;
    padding: 0 25px !important;
    margin: unset !important;
    font-family: inherit;
    white-space: unset !important;
    min-height: 45px;
    /*color: #1E2253 !important;*/
    color: #000000 !important;
    font-size: 16px !important;
}

.dietaryform .ms-options-wrap > .ms-options > ul input[type="checkbox"] {
    margin: 0 5px 0 -6px !important;
    top: 12px;
    left: 10px;
}

.dietaryform .ms-options-wrap > button:focus, .ms-options-wrap > .ms-options ul {
    padding: 5px;
}

.dietaryform .ms-options-wrap > .ms-options {
    z-index: 90 !important;
    padding-left: 10px;
    max-height: 400px !important;
}

.postcode-result {
    margin-top: 10px;
    padding-right: 50px;
    max-width: 100% !important;
    background-color: white;
    white-space: break-spaces;
}

.passenger-form .additional .hear select {
    white-space: break-spaces;
    padding-right: 50px;
}

/*ng hide animate*/
.fade-out.ng-hide {
    opacity: 0 !important;
}

.fade-out.ng-hide-add, .fade-out.ng-hide-remove {
    transition: all linear 0.5s !important;
}

.check-element {
    border: 1px solid black !important;
    opacity: 1 !important;
    padding: 10px !important;
}

.btn-disable {
    background-color: rgb(253, 180, 144) !important;
}

.text-uppercase {
    text-transform: uppercase;
}

.trip-time {
    max-width: 400px !important;
}

/**
    loader css
*/
.sk-cube-grid {
    width: 40px;
    height: 40px;
    position: fixed;
    top: 50%;
    left: 50%;
    transform: translate(-50%,-50%);
}

    .sk-cube-grid .sk-cube {
        width: 33%;
        height: 33%;
        background-color: #1e2253;
        float: left;
        -webkit-animation: sk-cubeGridScaleDelay 1.3s infinite ease-in-out;
        animation: sk-cubeGridScaleDelay 1.3s infinite ease-in-out;
    }

    .sk-cube-grid .sk-cube1 {
        -webkit-animation-delay: 0.2s;
        animation-delay: 0.2s;
    }

    .sk-cube-grid .sk-cube2 {
        -webkit-animation-delay: 0.3s;
        animation-delay: 0.3s;
    }

    .sk-cube-grid .sk-cube3 {
        -webkit-animation-delay: 0.4s;
        animation-delay: 0.4s;
    }

    .sk-cube-grid .sk-cube4 {
        -webkit-animation-delay: 0.1s;
        animation-delay: 0.1s;
    }

    .sk-cube-grid .sk-cube5 {
        -webkit-animation-delay: 0.2s;
        animation-delay: 0.2s;
    }

    .sk-cube-grid .sk-cube6 {
        -webkit-animation-delay: 0.3s;
        animation-delay: 0.3s;
    }

    .sk-cube-grid .sk-cube7 {
        -webkit-animation-delay: 0s;
        animation-delay: 0s;
    }

    .sk-cube-grid .sk-cube8 {
        -webkit-animation-delay: 0.1s;
        animation-delay: 0.1s;
    }

    .sk-cube-grid .sk-cube9 {
        -webkit-animation-delay: 0.2s;
        animation-delay: 0.2s;
    }

@-webkit-keyframes sk-cubeGridScaleDelay {
    0%, 70%, 100% {
        -webkit-transform: scale3D(1, 1, 1);
        transform: scale3D(1, 1, 1);
    }

    35% {
        -webkit-transform: scale3D(0, 0, 1);
        transform: scale3D(0, 0, 1);
    }
}

@keyframes sk-cubeGridScaleDelay {
    0%, 70%, 100% {
        -webkit-transform: scale3D(1, 1, 1);
        transform: scale3D(1, 1, 1);
    }

    35% {
        -webkit-transform: scale3D(0, 0, 1);
        transform: scale3D(0, 0, 1);
    }
}

#toast-container > div {
    opacity: .95;
}

.highlight-validation-err {
    background-color: #b100004d !important;
    border: 4px solid #a7060638 !important;
}

a[disabled="disabled"] {
    pointer-events: none !important;
    background-color: #fdb490;
}

.timeout-pop-hide {
    display: none;
}

.overlay-content {
    position: absolute;
    top: 50%;
    left: 50%;
    -ms-transform: translate(-50%, -50%);
    transform: translate(-50%, -50%);
    text-align: center;
}

.overlay-content img {
    display: block;
    margin: 0 auto 10px;
    width: 100px;
}

button, input[type=radio] {
    cursor: pointer;
    -webkit-appearance: none;
}

.payment-block input[type=radio] {
    position: absolute;
    left: 30px;
    width: 21px;
    height: 20px;
}

    .payment-block input[type=radio]:before {
        content: '';
        width: 17px;
        height: 17px;
        border: 2px solid #1e2253;
        background-color: #fff;
        border-radius: 50%;
        display: block;
        position: absolute;
        top: 50%;
        left: 50%;
        transform: translate(-50%, -50%);
    }

    .payment-block input[type=radio]:checked:before {
        background-color: #1e2253;
    }

    .payment-block input[type=radio]:checked:after {
        content: '';
        width: 7px;
        height: 7px;
        background-color: #fff;
        border-radius: 50%;
        display: block;
        position: absolute;
        top: 50%;
        left: 50%;
        transform: translate(-50%, -50%);
    }